Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.enc
Class XEReferenceList

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.enc.XEReferenceList`

public class XEReferenceList
extends XMLElement

An XML Encryption ReferenceList element.

Since:
  1.2
See Also:
  `XEKeyReference`, `XEDataReference`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`XEReferenceList(org.w3c.dom.Document doc)` Create a `XEReferenceList` instance from the given owner XML document.
`XEReferenceList(org.w3c.dom.Element element)` Create a `XEReferenceList` instance from the given XML Element.
`XEReferenceList(org.w3c.dom.Element element, java.lang.String systemId)` Create a `XEReferenceList` instance from the given XML Element.

Method Summary
`void` | `addReference(XEReference ref)` Add a DataReference or KeyReference to this ReferenceList.
`java.util.Vector` | `getDataReferences()` Returns the `XEDataReference` objects in this ReferenceList.
`java.util.Vector` | `getKeyReferences()` Returns the `XEKeyReference` objects in this ReferenceList.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XEReferenceList

    public XEReferenceList(org.w3c.dom.Element element)
                    throws org.w3c.dom.DOMException

  Create a `XEReferenceList` instance from the given XML Element.
Parameters:
  `element` - An XML Encryption ReferenceList element.

### XEReferenceList

    public XEReferenceList(org.w3c.dom.Element element,
                           java.lang.String systemId)
                    throws org.w3c.dom.DOMException

  Create a `XEReferenceList` instance from the given XML Element.
Parameters:
  `element` - An XML Encryption ReferenceList element.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

### XEReferenceList

    public XEReferenceList(org.w3c.dom.Document doc)
                    throws org.w3c.dom.DOMException

  Create a `XEReferenceList` instance from the given owner XML document.
Parameters:
  `doc` - An XML Document to be used as the owner document of this element.

Method Detail

### addReference

    public void addReference(XEReference ref)
                      throws org.w3c.dom.DOMException

  Add a DataReference or KeyReference to this ReferenceList.
  Parameters:
    `ref` - An XEReference instance.
  Throws:
    `org.w3c.dom.DOMException`

### getDataReferences

    public java.util.Vector getDataReferences()

  Returns the `XEDataReference` objects in this ReferenceList.
  Returns:
    A `Vector` of `XEDataReference` objects.

### getKeyReferences

    public java.util.Vector getKeyReferences()

  Returns the `XEKeyReference` objects in this ReferenceList.
  Returns:
    A `Vector` of `XEKeyReference` objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.